From: Andrew Morton <akpm@linux-foundation.org>

drivers/md/dm-table.c: In function 'dm_get_device':
drivers/md/dm-table.c:478: warning: 'dev' may be used uninitialized in this function

Signed-off-by: Andrew Morton <akpm@linux-foundation.org>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>
---
 drivers/md/dm-table.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

Index: linux-2.6.24/drivers/md/dm-table.c
===================================================================
--- linux-2.6.24.orig/drivers/md/dm-table.c	2008-02-07 13:48:14.000000000 +0000
+++ linux-2.6.24/drivers/md/dm-table.c	2008-02-07 13:48:18.000000000 +0000
@@ -475,7 +475,7 @@ static int __table_get_device(struct dm_
 			      int mode, struct dm_dev **result)
 {
 	int r;
-	dev_t dev;
+	dev_t uninitialized_var(dev);
 	struct dm_dev *dd;
 	unsigned int major, minor;
 
